Campaigns
Forecast campaign delivery
GET
Scope: ads:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
OK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/campaigns/forecast'Example Response
{ "generatedAt": "2026-10-30T09:10:13.541Z", "org": { "views": 0, "value": 0, "fit": 0, "requested": 0, "usedPct": 0, "campaignChannels": 5, "short": 0, "tiles": { "slots": 823, "booked": 0, "free": 823, "plays": 0, "asks": 0, "dontFit": 0, "views": null, "value": [] } }, "campaigns": [], "channels": [ { "channelId": "21e7445e-5e58-425b-bf1f-1d18a01fbc36", "status": "excluded", "breakSec": 0, "usedSec": 0, "pct": null, "views": null, "value": null }, { "channelId": "6c7d42be-ac1b-4ca4-9220-8b22fad54b16", "status": "excluded", "breakSec": 0, "usedSec": 0, "pct": null, "views": null, "value": null } ], "adSpace": [ { "channelId": "21e7445e-5e58-425b-bf1f-1d18a01fbc36", "name": "E2E S1 Playout Channel", "tz": "America/New_York", "status": "excluded", "excludedReason": "playout", "window": { "from": "2026-10-30", "through": "2026-11-05", "days": 6.826, "fullDays": [ "2026-10-31", "2026-11-01" ] }, "breaks": { "perDay": 0, "min": 0, "max": 0 }, "breakSec": null, "breakSecMin": null, "breakSecMax": null, "slots": { "perDay": 0, "min": 0, "max": 0 }, "spotSec": 30, "booked": [], "bookedPerDay": 0, "freePerDay": 0, "avgViewersPerBreak": null }, { "channelId": "6c7d42be-ac1b-4ca4-9220-8b22fad54b16", "name": "E2E Movie Channel", "tz": "America/New_York", "status": "excluded", "excludedReason": "none", "window": { "from": "2026-10-30", "through": "2026-11-05", "days": 6.826, "fullDays": [ "2026-10-31", "2026-11-01" ] }, "breaks": { "perDay": 0, "min": 0, "max": 0 }, "breakSec": null, "breakSecMin": null, "breakSecMax": null, "slots": { "perDay": 0, "min": 0, "max": 0 }, "spotSec": 30, "booked": [], "bookedPerDay": 0, "freePerDay": 0, "avgViewersPerBreak": null } ], "rule": "priority"}